function roll_left(obj){
	var Speed;	//速度
	var Space;	//间隔时间
	var Timer;
	var theTimer;
	var runWidth;
	var tempWidth;
	var rollWidth;
	var arrImg=new Array();
	//设置速度
	this.setSpeed=function(Speed){
		this.Speed=Speed;
	}
	//设置速度
	this.setTimer=function(Timer){
		this.Timer=Timer;
	}
	this.setSpace=function(Space){
		this.Space=Space;
	}
	//设置速度
	this.setRunWidth=function(runWidth){
		this.runWidth=runWidth;
	}
	//设置图片
	this.setImgArray=function(arrImg){
		this.arrImg=arrImg;
	}
	//设置DIV宽度
	this.setRollWidth=function(rollWidth){
		this.rollWidth=rollWidth;
	}
	//初始化图片
	this.initImg=function(){
		$("#"+obj+" .demo2").html($("#"+obj+" .demo1").html());
	}
	//初始化html
	this.initHtml=function(){
		_html=$("#"+obj).html();
		html="<div class=\"long\"><div class=\"demo1\">"+_html+"</div><div class=\"demo2\"></div></div>";
		$("#"+obj).html(html);
	}
	this.initCss=function(){
		$("#"+obj).attr("style","overflow:hidden;width:"+this.rollWidth+"px;");
		$("#"+obj+" .long").attr("style","float: left;width: 100000px;");
		$("#"+obj+" .demo1").attr("style","float: left;");
		$("#"+obj+" .demo2").attr("style","float: left;");
	}
	//初始化
	this.init=function(){
		this.tempWidth=0;
		this.initHtml();
		this.initCss();
		this.initImg();
		this.theTimer=setInterval((function(oThis){return function(){oThis.scoll();}})(this),this.Timer);
	}
	this.play=function(){
		this.theTimer=setInterval((function(oThis){return function(){oThis.scoll();}})(this),this.Timer);
	}
	this.pause=function(){
		window.clearInterval(this.theTimer);
	}
	this.scoll=function(){
		if(jQuery("#"+obj)[0].scrollLeft>=jQuery("#"+obj+" .demo1")[0].offsetWidth){
			jQuery("#"+obj)[0].scrollLeft-=jQuery("#"+obj+" .demo1")[0].offsetWidth;
			jQuery("#"+obj)[0].scrollLeft+=this.Speed;
		}else
			jQuery("#"+obj)[0].scrollLeft+=this.Speed;
		this.tempWidth=this.tempWidth+this.Speed;
		if(this.tempWidth>=this.runWidth){
			this.pause();
			this.tempWidth=0;
			window.setTimeout((function(oThis){return function(){oThis.play();}})(this),this.Space);
		}
	}
	
}